# SelectorContainer

Extends

This is the interface for selectors that can contain other selectors.

author | Bruce Atherton
package | phing.types.selectors

### Methods

## Add a new selector into this container.

    appendSelector(\FileSelector $selector) : \FileSelector

### Arguments

#### $selector

`\FileSelector`

the new selector to add

### Response

`\FileSelector`

the selector that was added

## add an "And" selector entry on the selector list

    createAnd()

## add a contains selector entry on the selector list

    createContains()

## add an extended selector entry on the selector list

    createCustom()

## add a selector date entry on the selector list

    createDate()

## add a depends selector entry on the selector list

    createDepend()

## add a depth selector entry on the selector list

    createDepth()

## add a selector filename entry on the selector list

    createFilename()

## add a majority selector entry on the selector list

    createMajority()

## add a "None" selector entry on the selector list

    createNone()

## add a "Not" selector entry on the selector list

    createNot()

## add an "Or" selector entry on the selector list

    createOr()

## add a present selector entry on the selector list

    createPresent()

## add a "Select" selector entry on the selector list

    createSelector()

## add a selector size entry on the selector list

    createSize()

## Returns a *copy* of the set of selectors as an array.

    getSelectors(\Project $p) : array

### Arguments

#### $p

`\Project`

### Response

`array`

an array of selectors in this container

## Indicates whether there are any selectors here.

    hasSelectors() : boolean

### Response

`boolean`

whether any selectors are in this container

## Gives the count of the number of selectors in this container

    selectorCount() : integer

### Response

`integer`

the number of selectors in this container

## Returns an array for accessing the set of selectors.

    selectorElements() : \an

### Response

`\an`

enumerator that goes through each of the selectors